<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';

$set['title']='Премиум магазин';
include_once '../sys/inc/thead.php';
title();
aut();
include_once 'css.php';
 if (mysql_result(mysql_query("SELECT COUNT(*) FROM `build` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"), 0)==0){
header("Location: index.php?".SID);
exit;
}  

$build = mysql_fetch_assoc(mysql_query("SELECT * FROM `build` WHERE `active` = '1' AND `id` = '".intval($_GET['id'])."' LIMIT 1"));
$build_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `build_user` WHERE `id_user` = '$user[id]' AND `id_build` = '$build[id]' LIMIT 1"));

if($user['pol']==1 && $build_user['man']==1){


if(isset($_GET['gold'])){
if($build['premium_man'] == 0){     
if($user['money'] > 300){
mysql_query("UPDATE `user` SET `money` = '".($user['money']-300)."' WHERE `id` = '$user[id]' LIMIT 1");    
mysql_query("UPDATE `build` SET `premium_man` = '1' WHERE `id` = '$build[id]' LIMIT 1"); 
$msg = 'Купил(а) золотой кирпич для парней';
mysql_query("INSERT INTO `build_komm` (`id_user`, `time`, `msg`, `id_build`, `type`) values('$user[id]', '$time', '".my_esc($msg)."', '".intval($_GET['id'])."', 'kirpich_gold')");
$_SESSION['message'] = 'Вы успешно купили золотой кирпич для своей команды';
header("Location: index.php?".SID);
}else{
$_SESSION['message'] = 'У вас недостаточно монет';
header("Location: index.php?".SID);    
}}
}


if(isset($_GET['str'])){
if($build['premium_r_man'] == 0){     
if($user['money'] > 500){
 mysql_query("UPDATE `user` SET `money` = '".($user['money']-500)."' WHERE `id` = '$user[id]' LIMIT 1");   
mysql_query("UPDATE `build` SET `premium_r_man` = '1' WHERE `id` = '$build[id]' LIMIT 1"); 
$msg = 'Купил(а) рабочих-нелегалов для парней';
mysql_query("INSERT INTO `build_komm` (`id_user`, `time`, `msg`, `id_build`, `type`) values('$user[id]', '$time', '".my_esc($msg)."', '".intval($_GET['id'])."', 'str')");
$_SESSION['message'] = 'Вы успешно купили рабочих-нелегалов для своей команды';
header("Location: index.php?".SID);
}else{
$_SESSION['message'] = 'У вас недостаточно монет';
header("Location: index.php?".SID);    
}}
}



echo "<div class='nav2'>";
echo "<img src='/build/img/kirpich_gold.png' style='max-width: 80px;'><br><b>Золотой кирпич</b> - повышает скорость кладки кирпичей до 3% за одну кладку<br>Стоимость: 300 монет<br>";
if($build['premium_man'] == 0){ 
echo "<br><a href='?id=$build[id]&gold' class='b_k'><font color='white'><b>КУПИТЬ</b></font></a><br><br>";
}else{
echo "<font color=red><b>Уже есть</b></font>";    
}
echo "</div>";

echo "<div class='nav2'>";
echo "<img src='/build/img/str.png' style='max-width: 80px;'><br><b>Работники-нелегалы</b> - повышают скорость кладки кирпичей до 5% за одну кладку<br>Стоимость: 500 монет<br>";
if($build['premium_r_man'] == 0){ 
echo "<br><a href='?id=$build[id]&str' class='b_k'><font color='white'><b>КУПИТЬ</b></font></a><br><br>";
}else{
echo "<font color=red><b>Уже есть</b></font>";    
}
echo "</div>";

}else{
    
    
    
 if(isset($_GET['gold'])){
if($build['premium_woman'] == 0){     
if($user['money'] > 300){
mysql_query("UPDATE `user` SET `money` = '".($user['money']-300)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `build` SET `premium_woman` = '1' WHERE `id` = '$build[id]' LIMIT 1"); 
$msg = 'Купил(а) золотой кирпич для девушек';
mysql_query("INSERT INTO `build_komm` (`id_user`, `time`, `msg`, `id_build`, `type`) values('$user[id]', '$time', '".my_esc($msg)."', '".intval($_GET['id'])."', 'kirpich_gold')");
$_SESSION['message'] = 'Вы успешно купили золотой кирпич для своей команды';
header("Location: index.php?".SID);
}else{
$_SESSION['message'] = 'У вас недостаточно монет';
header("Location: index.php?".SID);    
}}
}


if(isset($_GET['str'])){
if($build['premium_r_woman'] == 0){     
if($user['money'] > 500){
mysql_query("UPDATE `user` SET `money` = '".($user['money']-500)."' WHERE `id` = '$user[id]' LIMIT 1");    
mysql_query("UPDATE `build` SET `premium_r_woman` = '1' WHERE `id` = '$build[id]' LIMIT 1"); 
$msg = 'Купил(а) рабочих-нелегалов для девушек';
mysql_query("INSERT INTO `build_komm` (`id_user`, `time`, `msg`, `id_build`, `type`) values('$user[id]', '$time', '".my_esc($msg)."', '".intval($_GET['id'])."', 'str')");
$_SESSION['message'] = 'Вы успешно купили рабочих-нелегалов для своей команды';
header("Location: index.php?".SID);
}else{
$_SESSION['message'] = 'У вас недостаточно монет';
header("Location: index.php?".SID);    
}}
}   
    
echo "<div class='nav2'>";
echo "<img src='/build/img/kirpich_gold.png' style='max-width: 80px;'><br><b>Золотой кирпич</b> - повышает скорость кладки кирпичей до 3% за одну кладку<br>Стоимость: 300 монет<br>";
if($build['premium_woman'] == 0){ 
echo "<br><a href='?id=$build[id]&gold' class='b_k'><font color='white'><b>КУПИТЬ</b></font></a><br><br>";
}else{
echo "<font color=red><b>Уже есть</b></font>";    
}
echo "</div>";

echo "<div class='nav2'>";
echo "<img src='/build/img/str.png' style='max-width: 80px;'><br><b>Работники-нелегалы</b> - повышают скорость кладки кирпичей до 5% за одну кладку<br>Стоимость: 500 монет<br>";
if($build['premium_r_woman'] == 0){ 
echo "<br><a href='?id=$build[id]&str' class='b_k'><font color='white'><b>КУПИТЬ</b></font></a><br><br>";
}else{
echo "<font color=red><b>Уже есть</b></font>";    
}
echo "</div>";    
    
    
}


echo "<div class='foot'><a href='/build/'>Назад к стройке</div>";


include_once '../sys/inc/tfoot.php';

?>
